<?php

/*
|--------------------------------------------------------------------------
| Validation Language Lines
|--------------------------------------------------------------------------
|
| The following language lines contain the default error messages used by
| the validator class. Some of these rules have multiple versions such
| as the size rules. Feel free to tweak each of these messages here.
|
*/

return [
    'accepted'             => 'يجب قبول هذا الحقل.',
    'active_url'           => 'لا يُمثّل رابطًا صحيحًا.',
    'after'                => 'يجب أن يكون تاريخًا لاحقًا للتاريخ :date.',
    'after_or_equal'       => 'يجب أن يكون تاريخاً لاحقاً أو مطابقاً للتاريخ :date.',
    'alpha'                => 'يجب أن لا يحتوي سوى على حروف.',
    'alpha_dash'           => 'يجب أن لا يحتوي سوى على حروف، أرقام ومطّات.',
    'alpha_num'            => 'يجب أن يحتوي على حروفٍ وأرقامٍ فقط.',
    'array'                => 'يجب أن يكون مصفوفة.',
    'attached'             => 'هذا الحقل تم إرفاقه بالفعل.',
    'before'               => 'يجب أن يكون تاريخًا سابقًا للتاريخ :date.',
    'before_or_equal'      => 'يجب أن يكون تاريخا سابقا أو مطابقا للتاريخ :date.',
    'between'              => [
        'array'   => 'يجب أن يحتوي على عدد من العناصر بين :min و :max.',
        'file'    => 'يجب أن يكون حجم الملف بين :min و :max كيلوبايت.',
        'numeric' => 'يجب أن تكون القيمة بين :min و :max.',
        'string'  => 'يجب أن يكون عدد حروف النّص بين :min و :max.',
    ],
    'boolean'              => 'يجب أن تكون قيمة هذا الحقل إما true أو false .',
    'confirmed'            => 'التأكيد غير متطابق.',
    'date'                 => 'هذا ليس تاريخًا صحيحًا.',
    'date_equals'          => 'يجب أن يكون تاريخاً مطابقاً للتاريخ :date.',
    'date_format'          => 'لا يتوافق مع الشكل :format.',
    'different'            => 'يجب أن تكون القيمة مختلفة عن :other.',
    'digits'               => 'يجب أن يحتوي على :digits رقمًا/أرقام.',
    'digits_between'       => 'يجب أن يكون بين :min و :max رقمًا/أرقام .',
    'dimensions'           => 'الصورة تحتوي على أبعاد غير صالحة.',
    'distinct'             => 'هذا الحقل يحمل قيمة مُكرّرة.',
    'email'                => 'يجب أن يكون عنوان بريد إلكتروني صحيح البُنية.',
    'ends_with'            => 'يجب أن ينتهي بأحد القيم التالية: :values',
    'exists'               => 'القيمة المحددة غير صالحة.',
    'file'                 => 'المحتوى يجب أن يكون ملفا.',
    'filled'               => 'هذا الحقل إجباري.',
    'gt'                   => [
        'array'   => 'يجب أن يحتوي على أكثر من :value عناصر/عنصر.',
        'file'    => 'يجب أن يكون حجم الملف أكبر من :value كيلوبايت.',
        'numeric' => 'يجب أن تكون القيمة أكبر من :value.',
        'string'  => 'يجب أن يكون طول النّص أكثر من :value حروفٍ/حرفًا.',
    ],
    'gte'                  => [
        'array'   => 'يجب أن يحتوي على الأقل على :value عُنصرًا/عناصر.',
        'file'    => 'يجب أن يكون حجم الملف على الأقل :value كيلوبايت.',
        'numeric' => 'يجب أن تكون القيمة مساوية أو أكبر من :value.',
        'string'  => 'يجب أن يكون طول النص على الأقل :value حروفٍ/حرفًا.',
    ],
    'image'                => 'يجب أن تكون صورةً.',
    'in'                   => 'القيمة المختارة غير صالحة.',
    'in_array'             => 'هذه القيمة غير موجودة في :other.',
    'integer'              => 'يجب أن يكون عددًا صحيحًا.',
    'ip'                   => 'يجب أن يكون عنوان IP صحيحًا.',
    'ipv4'                 => 'يجب أن يكون عنوان IPv4 صحيحًا.',
    'ipv6'                 => 'يجب أن يكون عنوان IPv6 صحيحًا.',
    'json'                 => 'يجب أن يكون نصًا من نوع JSON.',
    'lt'                   => [
        'array'   => 'يجب أن يحتوي على أقل من :value عناصر/عنصر.',
        'file'    => 'يجب أن يكون حجم الملف أصغر من :value كيلوبايت.',
        'numeric' => 'يجب أن تكون القيمة أصغر من :value.',
        'string'  => 'يجب أن يكون طول النّص أقل من :value حروفٍ/حرفًا.',
    ],
    'lte'                  => [
        'array'   => 'يجب أن لا يحتوي على أكثر من :value عناصر/عنصر.',
        'file'    => 'يجب أن لا يتجاوز حجم الملف :value كيلوبايت.',
        'numeric' => 'يجب أن تكون القيمة مساوية أو أصغر من :value.',
        'string'  => 'يجب أن لا يتجاوز طول النّص :value حروفٍ/حرفًا.',
    ],
    'max'                  => [
        'array'   => 'يجب أن لا يحتوي على أكثر من :max عناصر/عنصر.',
        'file'    => 'يجب أن لا يتجاوز حجم الملف :max كيلوبايت.',
        'numeric' => 'يجب أن تكون القيمة مساوية أو أصغر من :max.',
        'string'  => 'يجب أن لا يتجاوز طول النّص :max حروفٍ/حرفًا.',
    ],
    'mimes'                => 'يجب أن يكون ملفًا من نوع : :values.',
    'mimetypes'            => 'يجب أن يكون ملفًا من نوع : :values.',
    'min'                  => [
        'array'   => 'يجب أن يحتوي على الأقل على :min عُنصرًا/عناصر.',
        'file'    => 'يجب أن يكون حجم الملف على الأقل :min كيلوبايت.',
        'numeric' => 'يجب أن تكون القيمة مساوية أو أكبر من :min.',
        'string'  => 'يجب أن يكون طول النص على الأقل :min حروفٍ/حرفًا.',
    ],
    'multiple_of'          => 'يجب أن تكون القيمة من مضاعفات :value',
    'not_in'               => 'العنصر المحدد غير صالح.',
    'not_regex'            => 'صيغة غير صالحة.',
    'numeric'              => 'يجب أن يكون رقمًا.',
    'password'             => 'كلمة المرور غير صحيحة.',
    'present'              => 'يجب توفر هذا الحقل.',
    'prohibited'           => 'هذا الحقل محظور.',
    'prohibited_if'        => 'هذا الحقل محظور إذا كان :other هو :value.',
    'prohibited_unless'    => 'هذا الحقل محظور ما لم يكن :other ضمن :values.',
    'regex'                => 'الصيغة غير صحيحة.',
    'relatable'            => 'هذا الحقل قد لا يكون مرتبطا بالمصدر المحدد.',
    'required'             => 'هذا الحقل مطلوب.',
    'required_if'          => 'هذا الحقل مطلوب في حال ما إذا كان :other يساوي :value.',
    'required_unless'      => 'هذا الحقل مطلوب في حال ما لم يكن :other يساوي :values.',
    'required_with'        => 'هذا الحقل مطلوب إذا توفّر :values.',
    'required_with_all'    => 'هذا الحقل مطلوب إذا توفّر :values.',
    'required_without'     => 'هذا الحقل مطلوب إذا لم يتوفّر :values.',
    'required_without_all' => 'هذا الحقل مطلوب إذا لم يتوفّر :values.',
    'same'                 => 'يجب أن يتطابق هذا الحقل مع :other.',
    'size'                 => [
        'array'   => 'يجب أن يحتوي على :size عنصرٍ/عناصر بالضبط.',
        'file'    => 'يجب أن يكون حجم الملف :size كيلوبايت.',
        'numeric' => 'يجب أن تكون القيمة مساوية لـ :size.',
        'string'  => 'يجب أن يحتوي النص على :size حروفٍ/حرفًا بالضبط.',
    ],
    'starts_with'          => 'يجب أن يبدأ بأحد القيم التالية: :values',
    'string'               => 'يجب أن يكون نصًا.',
    'timezone'             => 'يجب أن يكون نطاقًا زمنيًا صحيحًا.',
    'unique'               => 'هذه القيمة مُستخدمة من قبل.',
    'uploaded'             => 'فشل في عملية التحميل.',
    'url'                  => 'الصيغة غير صحيحة.',
    'uuid'                 => 'يجب أن يكون بصيغة UUID سليمة.',
    'custom'               => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],
    'attributes'           => [
        'address'               => 'العنوان',
        'age'                   => 'العمر',
        'available'             => 'مُتاح',
        'city'                  => 'المدينة',
        'content'               => 'المُحتوى',
        'country'               => 'الدولة',
        'date'                  => 'التاريخ',
        'day'                   => 'اليوم',
        'description'           => 'الوصف',
        'email'                 => 'البريد الالكتروني',
        'excerpt'               => 'المُلخص',
        'first_name'            => 'الاسم الأول',
        'gender'                => 'النوع',
        'hour'                  => 'ساعة',
        'last_name'             => 'اسم العائلة',
        'minute'                => 'دقيقة',
        'mobile'                => 'الجوال',
        'month'                 => 'الشهر',
        'name'                  => 'الاسم',
        'password'              => 'كلمة المرور',
        'password_confirmation' => 'تأكيد كلمة المرور',
        'phone'                 => 'الهاتف',
        'second'                => 'ثانية',
        'sex'                   => 'الجنس',
        'size'                  => 'الحجم',
        'time'                  => 'الوقت',
        'title'                 => 'العنوان',
        'username'              => 'اسم المُستخدم',
        'year'                  => 'السنة',
    ],
    'custom' => [
        // update product 
        'edit_desc' => [
            'required' => 'يرجى إدخال الوصف',
        ],
        'edit_img' => [
            'image' => 'يرجى إدخال ملف من نوع صورة',
            'mimes:jpeg,png,jpg,webp' => '  jpeg,png,jpg,webp:يرجى أن تكون الصور أحد الصيغ التالية ',
        ],

        'edit_name' => [
            'required' => 'يرجى إدخال اسم المنتج',
        ],
        'edit_user_id' => [
            'required' => 'يرجى إدخال اسم المستخدم',
        ],

        // *********************************************************************************************************************

        // add product 

        'desc' => [
            'required' => 'يرجى إدخال الوصف',
        ],
        'imgs.*' => [
            'image' => 'يرجى إدخال ملف من نوع صورة',
            'mimes:jpeg,png,jpg,webp' => 'يرجى أن تكون الصورة أحد الصيغ التالية  jpeg,png,jpg,webp: ',
        ],
        'name' => [
            'required' => 'يرجى إدخال اسم المنتج',
            'string' => 'يجب ان يكن الاسم عبارة عن احرف فقط',
            'max' => 'يجب الا يكون اكثر من 255 حرف',
            'min' => 'يجب الا يكون اقل من 4 حروف',
            'unique' => 'الاسم المدخل موجود مسبقا'
        ],
        'user_id' => [
            'required' => 'يرجى إدخال اسم المستخدم',
        ],

        // *********************************************************************************************************************

        // add AboutUs 

        'edit_mission' => [
            'required' => 'يرجى إدخال الوظيفة',
        ],
        'edit_vision' => [
            'required' => 'يرجى إدخال الرؤية ',
        ],
        'edit_plan' => [
            'required' => 'يرجى إدخال خطة العمل ',
        ],

        'edit_description' => [
            'required' => 'يرجى إدخال الوصف',
        ],

        // *********************************************************************************************************************

        // update AboutUs 
        'params' => [
            'required' => 'يرجى إدخال معاملات التصنيف',
        ],
        'mission' => [
            'required' => 'يرجى إدخال الوظيفة',
        ],
        'vision' => [
            'required' => 'يرجى إدخال الرؤية ',
        ],
        'plan' => [
            'required' => 'يرجى إدخال خطة العمل ',
        ],
        'img' => [
            'uploaded' => 'فشل في رفع الصورة',
            'max' => ' يرجى إدخال صورة بحجم إقل  من 1 ميغابايت '
        ],
        'name' => [
            'required' => 'يرجى إدخال اسم',
        ],
        'message' => [
            'required' => 'يرجى إدخال الرسالة',
        ],

        //******************************************************************************************************************* */
        'ParamName' => [
            'required' => 'يرجى ادخال اسم المعامل'
        ],
        'edit_ParamName' => [
            'required' => 'يرجى ادخال اسم المعامل'
        ],
        'product_id' => [
            'required' => 'يرجى ادخال المنتج',
            'exists' => 'المنتج غير موجود',

        ],
        'user_id' => [
            'required' => 'الرجاء ادخال المستخدم'
        ],
        'follower_id' => [
            'required' => 'الرجاء ادخال اسم المتابع'
        ],
        'rating' => [
            'required' => 'الرجاء ادخال التقييم'
        ],
        'rating_user_id' => [
            'required' => 'الرجاء ادخال اسم المقيم'
        ],
        'sender_id' => [
            'required' => 'الرجاء ادخال اسم المرسل'
        ],
        'receiver_id' => [
            'required' => 'الرجاء ادخال اسم المستقبل'
        ],
        'message' => [
            'required' => 'يرجى ادخال الرسالة'
        ],
        'title' => [
            'required' => 'الرجاء ادخال العنوان'
        ],
        'description' => [
            'required' => 'الرجاء ادخال الوصف'
        ],
        'date' => [
            'required' => 'الرجاء ادخال وقت البدء'
        ],
        'date2' => [
            'required' => 'الرجاء ادخال وقت الأنتهاء'
        ],

        'title2' => [
            'required' => 'الرجاء ادخال العنوان'
        ],
        'description2' => [
            'required' => 'الرجاء ادخال الوصف'
        ],
        'From' => [
            'required' => 'الرجاء ادخال وقت البدء'
        ],
        'To' => [
            'required' => 'الرجاء ادخال وقت الأنتهاء'
        ],
        'Name' => [
            'required' => 'الرجاء ادخال الاسم'
        ],
        'name_edit' => [
            'required' => 'الرجاء ادخال الاسم'
        ],

        'email' => [
            'required' => 'الرجاء ادخال البريد الالكتروني',
            'exists' => 'البريد الالكتروني غير صحيح'
        ],
        'email' => [
            'unique' => 'هذا البريد الالكتروني موجود مسبقا الرجاء ادخال بريد اخر'
        ],
        'password' => [
            'required' => 'الرجاء ادخال كلمة المرور'
        ],
        'password' => [
            'confirmed' => 'كلمة المرور غير متطابقة'
        ],
        'password' => [
            'min' => 'الرجاء ادخال 8 محارف على الاقل'
        ],
        'username' => [
            'required' => 'الرجاء ادخال اسم المستخدم'
        ],
        'imgs2.*' => [
            'image' => 'يرجى إدخال ملف من نوع صورة',
            'mimes' => 'يرجى أن تكون جميع الصور أحد الصيغ التالية  jpeg,png,jpg,webp, gif, jfif: ',
        ],
        'username' => [
            'unique' => 'هذا الاسم موجود مسبقا الرجاء ادخال اسم اخر'
        ],
        'Icon' => [
            'required' => 'الرجاء ادخال ايقون'
        ],
        'icon' => [
            'required' => 'الرجاء ادخال ايقون'
        ],
        'filename' => [
            'mimes' => 'يجب ان تكون الصورة احد الصيغ التالية jpeg,png,jpg,webp',
            'required' => 'الرجاء ادخال صورة',
        ],
        'filename2' => [
            'mimes' => 'يجب ان تكون الصورة احد الصيغ التالية jpeg,png,jpg,webp',
            'required' => 'الرجاء ادخال صورة',
        ],
        'edit_category_id' => [
            'required' => 'يرجى ادخال تصنيف',
        ],
        'category_id' => [
            'required' => 'يرجى ادخال تصنيف',
            'exists' => 'التصنيف المدخل غير موجود'
        ],
        'select_par.*' => [
            'required' => 'يرجى ادخال المعامل',
        ],
        'val.*' => [
            'required' => 'يرجى ادخال قيمة المعامل',
        ],
        'edit_select_par.*' => [
            'required' => 'يرجى ادخال المعامل',
        ],
        'edit_val.*' => [
            'required' => 'يرجى ادخال قيمة المعامل',
        ],
        'old_password' => [
            'required' => 'يرجى ادخال كلمة المرور',
        ],
        'password_old' => [
            'required' => 'يرجى ادخال كلمة المرور القديمة',
        ],
        'new_password' => [
            'required' => ' الرجاء ادخال كلمة المرور الجديدة والقديمة',
            'confirmed' => 'كلمة المرور غير متطابقة'
        ],
        'img' => [
            'image' => 'يرجى إدخال ملف من نوع صورة',
            'required' => 'يرجى إدخال صورة ',
            'mimes:jpeg,png,jpg,webp' => 'يرجى أن تكون الصورة أحد الصيغ التالية  jpeg,png,jpg,webp: ',
        ],
        'ExeptTheRulls' => [

            'required' => 'يرجى الموفقة على شروط الاستخدام',
        ],
        'image' => [
            'image' => 'يرجى إدخال ملف من نوع صورة',
            'required' => 'يرجى إدخال صورة ',
            'mimes:jpeg,png,jpg,webp' => 'يرجى أن تكون الصورة أحد الصيغ التالية  jpeg,png,jpg,webp: ',
        ],
        'price' => [
            'required' => 'يرجى ادخال السعر',
            'numeric' => 'يجب ان يكون السعر مدخل ارقام فقط'
        ], 'product_quantity' => [
            'required' => 'الكمية من المنتج لم يتم تحديدها',
            'integer' => 'يجب ان تكون الكمية رقم'
        ], 'quantity*' => [
            'required' => 'الكمية من المنتج لم يتم تحديدها',
            'integer' => 'يجب ان تكون الكمية رقم'
        ],
        'id*' => [
            'required' => 'لم يتم تحديد المنتجات المطلوب شرائها',
        ],
        'role' => [
            'required' => 'يجب ان تحدد هوية المستخدم اذا كان مشرفا او مستخدم عادي',
            'exists' => 'الهوية المختارة للمستخدم غير موجودة'
        ],
        'first_name' => [
            'required' => 'ادخل اسم الاول',
            'string' => 'الاسم الاول يجب ان يكون عبارة عن حروف فقط',
            'min' => 'يجب ان يكون الاسم لا يقل عن 3 حروف',
            'max' => 'يجب ان لا يكون الاسم اكثر من 255 حرف',
        ],
        'last_name' => [
            'required' => 'ادخل اسم العائلة',
            'string' => 'الاسم العائلة يجب ان يكون عبارة عن حروف فقط',
            'min' => 'يجب ان يكون الاسم لا يقل عن 3 حروف',
            'max' => 'يجب ان لا يكون الاسم اكثر من 255 حرف',
        ], 'address' => [
            'required' => 'ادخل العنوان',
            'string' => 'العنوان يجب ان يكون عبارة عن حروف فقط',
            'min' => 'يجب ان يكون العنوان لا يقل عن 3 حروف',
            'max' => 'يجب ان لا يكون العنوان اكثر من 255 حرف',
        ], 'country' => [
            'required' => 'ادخل اسم البلد او المنطقة',
            'string' => ' اسم البلد او المنطقة يجب ان يكون عبارة عن حروف فقط',
            'min' => 'يجب ان يكون الاسم لا يقل عن 3 حروف',
            'max' => 'يجب ان لا يكون الاسم اكثر من 255 حرف',
        ], 'phone' => [
            'required' => 'ادخل الرقم',
            'min' => 'يجب ان يكون الرقم لا يقل عن 9 ارقام',
            'max' => 'يجب ان لا يكون رقم اكثر من 12 رقم',
        ], 'postcode' => [
            'required' => 'ادخل الرقم الريدي',
            'max' => 'يجب ان لا يكون الاسم اكثر من 255 حرف',
        ],
        'payment_gateway' => [
            'required' => 'يجب تحديد طريقة الدفع',
            'in' => 'يجب ان تكون طريقة الدفع اما بايبال او ستريب'
        ], 'author_name' => [
            'required' => 'اسم الكاتب مطلوب',
        ],
        'number_of_pages' => [
            'required' => 'رقم الصفحات مطلوبة',
            'numeric' => 'يجب ان يكون ارقاما'
        ], 'cover_type' => [
            'required' => 'حدد نوع الغلاف',
        ],
        'description' => [
            'required' => 'ادخل الوصف',
        ], 'comment' => [
            'required' => 'ادخل تعليقا',
        ], 'author_name' => [],
        'mobile_number' => [
            'required' => 'يرجى ادخال رقم الهاتف',
        ]
    ],

];
